Bug 864334 - Review Request: opensaml-java-parent - OpenSAML Java Parent
Review Request: opensaml-java-parent - OpenSAML Java Parent
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 03:49 EDT by Marek Goldmann
Modified: 2012-11-23 03:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 04:10:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-10-09 03:49:19 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/opensaml-java-parent/4-1/opensaml-java-parent.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/opensaml-java-parent/4-1/opensaml-java-parent-4-1.fc17.src.rpm
Fedora Account System Username: goldmann
Description: 

This package contains the OpenSAML Java Parent

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4573338
Comment 1 Mikolaj Izdebski 2012-10-09 03:50:50 EDT
I am taking this review.
Comment 2 Mikolaj Izdebski 2012-10-09 04:35:49 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[!]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[-]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[-]: MUST Javadoc subpackages have Requires: jpackage-utils
[-]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: opensaml-java-parent-4-1.fc19.src.rpm
          opensaml-java-parent-4-1.fc19.noarch.rpm
opensaml-java-parent.src: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
opensaml-java-parent.noarch: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


No blocker issues found.

There are some unneeded BuildRequires, you can consider removing them during initial import:
> mvn-rpmbuild: possibly redundant dependency: maven-eclipse-plugin
> mvn-rpmbuild: possibly redundant dependency: maven-enforcer-plugin
> mvn-rpmbuild: possibly redundant dependency: maven-help-plugin
> mvn-rpmbuild: possibly redundant dependency: maven-war-plugin

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4573345

**************
** APPROVED **
**************
Comment 3 Marek Goldmann 2012-10-09 04:41:18 EDT
Thanks!

New Package SCM Request
=======================
Package Name: opensaml-java-parent
Short Description: OpenSAML Java Parent
Owners: goldmann
Branches:  f17 f18
Comment 4 Gwyn Ciesla 2012-10-09 07:15:48 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-11-12 14:23:41 EST
opensaml-java-parent-4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/opensaml-java-parent-4-1.fc17
Comment 6 Fedora Update System 2012-11-12 14:25:37 EST
opensaml-java-parent-4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/opensaml-java-parent-4-1.fc18
Comment 7 Fedora Update System 2012-11-22 22:09:18 EST
opensaml-java-parent-4-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 8 Fedora Update System 2012-11-23 03:05:36 EST
opensaml-java-parent-4-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.